package com.gic.haoban.manage.web.vo.chat;

import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-06-20 10:00:02
 */
public class SingleChatStoreGroupVO  extends StoreGroupCommonVO implements Serializable {
    private static final long serialVersionUID = -6232468846408236671L;


    /**
     * 主动会话数
     */
    private Integer activeSessionsNum = 0;


    /**
     * 客户发起会话数
     */
    private Integer custSessionsNum = 0;


    /**
     * 已回复会话数
     */
    private Integer replySessionsNum = 0;


    /**
     * 已回复会话占比
     */
    private Integer replySessionsPrport = 0;

    /**
     * 平均首次回复时长
     */
    private Integer averageFirstReplyTime = 0;

    /**
     * 企微好友数
     */
    private Integer entWechatFdNum = 0;


    /**
     * 会话总客户数
     */
    private Integer sessionsCustNum = 0;


    /**
     * 发起会话客户数
     */
    private Integer launchSessionsCustNum = 0;


    /**
     * 发起会话导购数
     */
    private Integer launchSessionsSalesNum = 0;


    /**
     * 发送消息数
     */
    private Integer sendNewsNum = 0;


    public Integer getActiveSessionsNum() {
        return activeSessionsNum;
    }

    public void setActiveSessionsNum(Integer activeSessionsNum) {
        this.activeSessionsNum = activeSessionsNum;
    }

    public Integer getCustSessionsNum() {
        return custSessionsNum;
    }

    public void setCustSessionsNum(Integer custSessionsNum) {
        this.custSessionsNum = custSessionsNum;
    }

    public Integer getReplySessionsNum() {
        return replySessionsNum;
    }

    public void setReplySessionsNum(Integer replySessionsNum) {
        this.replySessionsNum = replySessionsNum;
    }

    public Integer getReplySessionsPrport() {
        return replySessionsPrport;
    }

    public void setReplySessionsPrport(Integer replySessionsPrport) {
        this.replySessionsPrport = replySessionsPrport;
    }

    public Integer getAverageFirstReplyTime() {
        return averageFirstReplyTime;
    }

    public void setAverageFirstReplyTime(Integer averageFirstReplyTime) {
        this.averageFirstReplyTime = averageFirstReplyTime;
    }

    public Integer getEntWechatFdNum() {
        return entWechatFdNum;
    }

    public void setEntWechatFdNum(Integer entWechatFdNum) {
        this.entWechatFdNum = entWechatFdNum;
    }

    public Integer getSessionsCustNum() {
        return sessionsCustNum;
    }

    public void setSessionsCustNum(Integer sessionsCustNum) {
        this.sessionsCustNum = sessionsCustNum;
    }

    public Integer getLaunchSessionsCustNum() {
        return launchSessionsCustNum;
    }

    public void setLaunchSessionsCustNum(Integer launchSessionsCustNum) {
        this.launchSessionsCustNum = launchSessionsCustNum;
    }

    public Integer getLaunchSessionsSalesNum() {
        return launchSessionsSalesNum;
    }

    public void setLaunchSessionsSalesNum(Integer launchSessionsSalesNum) {
        this.launchSessionsSalesNum = launchSessionsSalesNum;
    }

    public Integer getSendNewsNum() {
        return sendNewsNum;
    }

    public void setSendNewsNum(Integer sendNewsNum) {
        this.sendNewsNum = sendNewsNum;
    }
}
